import sys, re

def BuildExecutable(inputDir,command):
    platform = sys.platform
    if re.match('win32',platform):
        import WinExecutable
        return WinExecutable.WinExecutable(inputDir,command)
    else:
        import UnixExecutable
        return UnixExecutable.UnixExecutable(inputDir,command)
