# NetBuffers.py

"""Factory functions creating network buffers.

Two factories are defined: NetWriteBuffer() and NetReadBuffer().
"""

import cStringIO

def NetWriteBuffer():
    """Creates a Network Buffer behaving like a writeable python pseudofile."""
    return cStringIO.StringIO()

def NetReadBuffer(data):
    """Creates a Network Buffer (readable Python pseudofile) containing data.
    """
    return cStringIO.StringIO(data)
