// LocalProtocol.cpp: implementation of the LocalProtocol class.
//
//////////////////////////////////////////////////////////////////////

#include "DMFirstHeader.h"

#include "LocalProtocol.h"


#include "DMLastHeader.h"

using namespace std;




void LocalProtocol::AllReduce(const double *in, double *out, int size, Operation op)
{
    memcpy(out, in, size*sizeof(double));
}

void LocalProtocol::AllReduce(const int *in, int *out, int size, Operation op) 
{
    memcpy(out, in, size*sizeof(int));
}



LocalProtocol::BinBuffers::BinBuffers()
{
    this->sendBuffer = new BinaryWriter();
    this->recvBuffer = new BinaryReader();
}

LocalProtocol::BinBuffers::~BinBuffers()
{
    delete sendBuffer;
    delete recvBuffer;
}

void LocalProtocol::BinBuffers::AllToAll()
{
    recvBuffer->SetBuffer(sendBuffer->GetBuffer());
}

