%{
#include "Rand.h"
%}

class Rand : public Serializable
{
public:
	Rand();
	void SetSeed(int seed);
	int GetOriginalSeed( void ) const;
	double uniform();
	int discrete(int min, int max);
	double gaussian(double sd);
%pragma(python) addtoclass="
    def __getstate__(self):
        import PythonSerialMemo, copy
        dict = copy.copy(self.__dict__)
        memo = PythonSerialMemo.new_PythonSerialMemo()
        memo.SetPythonInstance( self )
        dict[\"CMemo\"] = memo
        del dict[\"this\"]
        return dict

    def __setstate__(self, dict):
        dict[\"this\"] = dict[\"CMemo\"].GetPythonInstance()
        del dict[\"CMemo\"]
        self.__dict__ = dict
"
};
