/*
 * SimQA: Copyright (C) Jakob Schiotz 1996, 1997
 *
 * IBM POWER2 optimized vector library:
 * Vectorized mathematica functions from the IBM mass library.
 */

#ifdef __cplusplus
extern "C" 
{
#endif

void vsqrt(double *, const double *, const int *);
void vexp(double *, const double *, const int *);
void vrec(double *, const double *, const int *);
void vlog(double *, const double *, const int *);

#ifdef __cplusplus
}
#endif


