// UnixProcessFactory.cpp
// These things would fit in the header file, but they would
// clutter the namespace.

#ifdef _WINDOWS
#include "stdafx.h"
#endif	// _WINDOWS

#include "UnixProcessFactory.h"
#include "UnixThread.h"
#include "UnixRWLock.h"

ThreadImp* UnixProcessFactory::GetThread()
{
	return new UnixThread();
}

RWLockImp* UnixProcessFactory::GetRWLock()
{
	return new UnixRWLock();
}

EggTimer* UnixProcessFactory::GetEggTimer()
{
	return 0;
}
