#include "DiscreteAvalanche.h"
#include "CmdParser.h"
#include "DMLastHeader.h"

using namespace std;

int CmpNoLenNoCase( const string& s1, const string& s2 )
{
	string::const_iterator p1 = s1.begin();
	string::const_iterator p2 = s2.begin();

	while ( p1!=s1.end() && p2!=s2.end() ) {
		if ( toupper(*p1) != toupper(*p2) )
			return (toupper(*p1)<toupper(*p2)) ? -1 : 1;
		++p1;
		++p2;
	}
	return 0;
}


CmdParser::CmdParser( const string& cmdString ) : cmdString(cmdString)
{
}


bool CmdParser::CmdStringMatches( const string& inputString )
{
	if (CmpNoLenNoCase( cmdString, inputString ) == 0) {
		return true;
	}
	return false;
}


