#include "DMFirstHeader.h"
#include "AvalancheAlgorithm.h"
#include "DMLastHeader.h"

bool AvalancheAlgorithm::AddObserver( FlipListener* observer )
{
	return observers.AddObserver( observer );
}

bool AvalancheAlgorithm::RemoveObserver( FlipListener* observer )
{
	return observers.RemoveObserver( observer );
}

void AvalancheAlgorithm::Notify( SpinLattice* lattice, const int* coords, int dDimension )
{
	observers.Notify( FlipNotification( lattice, coords, dDimension ) );
}
