%{
#include "SpinLattice.h"
%}

class SpinLattice : public Serializable
{
public:
	SpinLattice();
	~SpinLattice();
	bool SetLength( int iLength );
	int Get( int iPos );
	void flip( int iPos, int orientation );
	int NeighborsUp( int iPos );
	void GetNeighbors( int iPos, int* neighbors );
	void GetCoords( int iPos, int* coords );
	int GetLength();
	int GetCoordinationNumber();
	int GetDimension();
	int GetTotalNumberUp();
	void Save( DMWriter* writer );
	void Load( DMReader* reader );
	std::string GetType();
};