#ifndef RECTANGULARCLUSTERINITIALIZER_H
#define RECTANGULARCLUSTERINITIALIZER_H

#include "DMFirstHeader.h"

#include "ClusterInitializer.h"
#include "math.h"

class RectangularClusterInitializer : public ClusterInitializer
{
public:
	RectangularClusterInitializer(double rectangleSize[DIMENSION], BravaisLatticeWithBasis *bravais);
	virtual ~RectangularClusterInitializer();
	void SetRectangleSize(const double rectangleSize[DIMENSION]); 
	// double (GetRectangleSize() const)[DIMENSION] {return (double[DIMENSION]) rectangleSize;}
	const double *GetRectangleSize() const {return (const double *)rectangleSize;}
	
protected:
	double rectangleSize[DIMENSION];
	int SetMaxSize();
	bool Inside(double X[DIMENSION]);
};

#endif // !defined(RECTANGULARCLUSTERINITIALIZER_H)
