/* MDThread.cpp
 */
#include "MDThread.h"
#include "MDSimulation.h"
#include "ListOfAtoms.h"
#include "AtomsMover.h"

MDThread::MDThread(MDSimulation *pSim)
{
	this->pSim = pSim;
}

void MDThread::Run()
{
	// Animation

	pSim->GetListOfAtoms()->Notify();

	while (this->IsRunning())
	{
		pSim->GetAtomsMover()->Move(pSim->GetListOfAtoms());
		pSim->GetListOfAtoms()->Notify();
	}
}
