// ListOfAtomsObserver.h: interface for the ListOfAtomsObserver class.
//
//////////////////////////////////////////////////////////////////////

#ifndef LISTOFATOMSOBSERVER_H
#define LISTOFATOMSOBSERVER_H

#include "DMFirstHeader.h"

#include "DigitalMaterial.h"

#include <iostream>

class ListOfAtoms;

class ListOfAtomsObserver  
{
public:
	//! notifyLevel determines how frequently it actually gets updated.
	ListOfAtomsObserver(int notifyLevel = 0)
		{ this->notifyLevel = notifyLevel; }
	virtual ~ListOfAtomsObserver(){}
	virtual void Update(ListOfAtoms *atoms) = 0;
	int GetNotifyLevel() { return notifyLevel; }
protected:
	int notifyLevel;
};

#endif // !defined LISTOFATOMSOBSERVER_H
