%typemap(python, in) double **epsilon, double **sigma
{
	$1 = new double*[DIMENSION];
	for(int a = 0; a < DIMENSION; ++a)
		$1[a] = new double[DIMENSION];
	if(PyList_Check($input))
	{
		PyObject *row;
		for(int i=0;i<2;++i)
		{
			row = PyList_GetItem($input,i);
			assert(PyList_Check(row));
			for(int j = 0; j < 2; ++j)
			{
				PyObject *item = PyList_GetItem(row, j);
				assert(PyFloat_Check(item));
				$1[i][j] = PyFloat_AsDouble(item);
			
			}
		}
	}
	else
	{
		PyErr_SetString(PyExc_TypeError,"not a list nor an array");
		return NULL;
	}
}

%typemap(python, freearg) double **epsilon
{
	for(int a = 0; a < DIMENSION; ++a)
		delete $1[a];
	delete $1;

}