// VoidMaker.h: interface for the VoidMaker class.
//
//////////////////////////////////////////////////////////////////////

#ifndef VOIDMAKER_H
#define VOIDMAKER_H

#include "DMFirstHeader.h"
#include <math.h>
#include "DigitalMaterial.h"
#include "Transformer.h"

class VoidMaker : public Transformer  
{
public:
	VoidMaker();
	virtual ~VoidMaker();
	void Transform(ListOfAtoms *atoms);

protected:
	virtual bool Inside(const double X[DIMENSION]) = 0;
};

#endif // !defined(VOIDMAKER_H)
