#ifndef _COMMANDIDMANAGER_H_
#define _COMMANDIDMANAGER_H_

#include "IDResourceManager.h"

class CommandIDManager
{
private:
	static CommandIDManager* _instance;
	typedef IDResourceManager<0x9000,0x9FFF> MENUMANAGER;
	MENUMANAGER* resourceManager;
public:
	static CommandIDManager *Instance() {
		if (_instance==0) _instance = new CommandIDManager();
		return _instance;
	}
	int GetCommandID() { return resourceManager->GetID(); }
	void ReleaseCommandID(int ID) { resourceManager->ReleaseID(ID); }
	virtual ~CommandIDManager() {}
protected:
	CommandIDManager() {
		resourceManager = MENUMANAGER::Instance();
	}
};

CommandIDManager* CommandIDManager::_instance = 0;


#endif // _COMMANDIDMANAGER_H_
