#import VTK, vtkRenderWidget, Tkinter
import VTK, Tkinter

def PickMe():
    print "The Something:"

class LastChoice:
    def __init__(self, cb):
        self.cb = cb

    def __call__(self):
        print "Wowzers."
        cb.PickObject()

class VTKDisplay:
    """VTKDisplay"""

    def __init__(self):
        self.InitDisplay()
    
    def PickObject(self):
        print "PICKED this:"
        try:
            cellID = self.picker.GetCellID()
            print "PICKED", cellID
        except:
            print "no cellID"
        if cellID<0: return

    def InitDisplay(self):
        self.ren = VTK.vtkRenderer()
#       self.ren.GetTwoSidedLighting()
        self.ren.SetBackground(0.2,0.3,0.5)
        self.renWin = VTK.vtkRenderWindow()
        self.renWin.AddRenderer(self.ren)
        self.renWin.SetSize(400,400)

        self.iren = VTK.vtkRenderWindowInteractor()
        self.iren.SetRenderWindow(self.renWin)
        self.iren.SetUserMethod(self.SaveImage)

        self.picker = VTK.vtkCellPicker()
        self.picker.SetPickMethod(self.PickObject)

    def AddActor(self, actor, opacity=1.0):
        actor.GetProperty().SetOpacity(opacity)
        self.ren.AddActor(actor)
        self.renWin.Render()

    def AddActors(self, actors):
        for a in actors:
            self.ren.AddActor(a)
        self.renWin.Render()

    def SaveImage(self):
        import tempfile
        image_filename = tempfile.mktemp('.ppm')
        self.renWin.SetFileName(image_filename)
        self.renWin.SaveImageAsPPM()
        print "Saving image to %s" % image_filename
        return

    def Show(self):
        self.iren.Initialize()
        self.iren.SetPicker(self.picker)
        lilly = LastChoice(self)
#       self.iren.SetEndPickMethod(PickMe)
        self.iren.Start()

if __name__ == '__main__':
    pass

    
