import VTK, sys

def display(dataset):

    ren = VTK.vtkRenderer()
    renWin = VTK.vtkRenderWindow()
    renWin.AddRenderer(ren)
    renWin.SetSize(500,500)

    iren = VTK.vtkRenderWindowInteractor()
    iren.SetRenderWindow(renWin)

    dataset.Update()

    mapper = VTK.vtkDataSetMapper()
    mapper.SetInput(dataset)
    actor  = VTK.vtkActor()
    actor.SetMapper(mapper)
    ren.SetBackground(0.,0.,0.)
    ren.AddActor(actor)

    renWin.Render()

    iren.Initialize()
    iren.Start()

    return iren




