#include "ConstantFieldInitializer.h"
#include <stdio.h>
 

int main(void);

int main(void) 
{
	Real d, x[DIMENSION];
	Point p(1.0), px(3.0), psize(10.0);
	ConstantFieldInitializer ini;

	px=x;
	cout << "GetTotalNumberOfDangerousPoints()=" << ini.GetTotalNumberOfDangerousPoints() << endl;
	cout << "GetDangerousPoint(0)" << ini.GetDangerousPoint(0) << endl;
	cout << "Danger(" << p << ", " << 2.0 << ")=" << ini.Danger(p, 2.0) << endl;
	cout << "Danger(" << px << ", " << 2.0 << ")=" << ini.Danger(x, 2.0) << endl;
	cout << "Maximum danger: " << ini.GetMaximumDanger() << endl;
	cout << "FieldValue(" << p << ")=" << ini.FieldValue(p) << endl;
	cout << "FieldValue(" << px << ")=" << ini.FieldValue(x) << endl;


	cout << "SetTotalNumberOfDangerousPoints(10)=" << ini.SetTotalNumberOfDangerousPoints(10) << endl;
	cout << "GetTotalNumberOfDangerousPoints()=" << ini.GetTotalNumberOfDangerousPoints() << endl;
	cout << "SetDangerousPoint(0, " << p << ", " << d << ")=" << ini.SetDangerousPoint(0, p, d) << endl;
	cout << "SetDangerousPoint(0, " << x << ", " << d << ")=" << ini.SetDangerousPoint(0, x, d) << endl;
	cout << "SetDangerousPoint(0, " << x << ")=" << ini.SetDangerousPoint(0, x) << endl;
	cout << "SetDangerOfPoint(0, " << d << ")=" << ini.SetDangerOfPoint(0, d) << endl;
	cout << "GetDangerousPoint(0): " << ini.GetDangerousPoint(0) << endl;
	cout << "Danger(" << p << ", " << 2.0 << ")=" << ini.Danger(p, 2.0) << endl;
	cout << "Danger(" << px << ", " << 2.0 << ")=" << ini.Danger(x, 2.0) << endl;
	cout << "NumberOfDangerousPoints(2.0)=" << ini.NumberOfDangerousPoints(2.0) << endl;
	cout << "Maximum danger: " << ini.GetMaximumDanger() << endl;

	px=x;
	cout << "FieldValue(" << p << ")=" << ini.FieldValue(p) << endl;
	cout << "FieldValue(" << px << ")=" << ini.FieldValue(x) << endl;

	d=123.456;
	cout << "SetValueOfField(" << d << ")=" << ini.SetValueOfField(d) << endl;

	cout << "FieldValue(" << p << ")=" << ini.FieldValue(p) << endl;
	cout << "FieldValue(" << px << ")=" << ini.FieldValue(x) << endl;

	ConstantFieldInitializer ini1(ini);
	
}
