#ifndef CONSTANTFIELDINITIALIZER_H
#define CONSTANTFIELDINITIALIZER_H

#include "FieldInitializer.h"

//#include "Introspective.h"
//#include "Clonable.h"

class ConstantFieldInitializer : public virtual FieldInitializer //, public virtual Introspective, public Cloneable // not yet!
{
protected:
	Real value_of_field;
public:
	ConstantFieldInitializer();
	virtual ~ConstantFieldInitializer() { value_of_field=0.0; }
	virtual Real GetValueOfField() const { return(value_of_field); }
	virtual bool SetValueOfField(const Real phi) { value_of_field=phi; return(true); }

#ifndef SWIG
	ConstantFieldInitializer(Real value);
	ConstantFieldInitializer(const ConstantFieldInitializer & initializer);

	virtual bool SetTotalNumberOfDangerousPoints(const int number) { return(false); }

	virtual bool SetDangerousPoint(const int i, const Point & point, const Real danger=0.0) { return(false); }
	virtual bool SetDangerOfPoint(const int i, const Real danger) { return(false); }
	virtual Point GetDangerousPoint(const int i) const { Point point(0.0); return(point); }
	virtual Real GetDanger(const int i) const { return(0.0); }
	virtual Real GetMaximumDanger() const { return(0.0); }

	virtual Real FieldValue(const Point & x) const { return(value_of_field); }
#endif //SWIG
};
#endif
