#ifndef SPLITRIGHTHANDSIDE_H
#define SPLITRIGHTHANDSIDE_H

#ifdef _DEBUG
#include <assert.h>
#endif

#include "DigitalMaterial.h"
#include "FieldCollection.h"
#include "Field.h"

//#include "Introspective.h"
//#include "Clonable.h"


class SplitRightHandSide //: public Introspective, public Cloneable
{
#ifndef SWIG
	public:
		SplitRightHandSide();
		SplitRightHandSide(const SplitRightHandSide &splitter);
		virtual ~SplitRightHandSide();

		virtual int GetNumberOfRHS(void) const =0;
		virtual bool RHS(const FieldCollection & input, FieldCollection & output, int n) =0;
		virtual bool Advance(FieldCollection & input, Real time, int n) { return(false); }
#endif //SWIG
};


#endif
