# -*- makefile -*-
# The root directory of the src.  You have to set this so everything
# below can have absolute paths.
DMROOT = /home/data/$(USER)/DigitalMaterial
# Global settings
ARCH = alpha
# Global options (to add to any local ones)
OPTS = -g -ptr $(DMROOT)/cxx_repository  -D__USE_STD_IOSTREAM -I/usr/local/include
# OPTS = -g -D__USE_STD_IOSTREAM -I/usr/local/include
# Our preferred shell.
SHELL = /usr/local/bin/tcsh
# C compiler
CC = cc
# C++ compiler
CXX = cxx 
# C preprocessor
CPP = cxx -Em
# Makes archives
AR = ar
# Fixes archive links for a library
RANLIB = ranlib
# location of doxygen
DOXYGEN = 

# The path to swig. Set SWIG to nothing if you do not want to build the python package.
SWIG = /usr/local/bin/swig
SWIGOPT = -shadow -dnone
# Check for the next variables in swig's Makefile.template
#CCSHARED        = -fpic
CCSHARED        = 
CXXSHARED       = $(CXX) -shared -expect_unresolved "*"
PYTHON_INCLUDE  = -DHAVE_CONFIG_H -I/usr/local/include/python1.5 -I/usr/local/lib/python1.5/config
CPP_DLLIBS      = 
SO              = .so

export DMROOT ARCH OPTS SHELL CC CXX CPP AR RANLIB DOXYGEN SWIG SWIGOPT CCSHARED CXXSHARED PYTHON_INCLUDE CPP_DLLIBS S
