from Numeric import *
#from QC3D import FreeBoundaryConditions
import os
import string
import tempfile

def DetriMesh(masters):
    #assert isinstance(masters.GetBoundaryConditions(), FreeBoundaryConditions)
    return Detri(masters.GetCartesianPositions()[:])

def Detri(pos):
    file = tempfile.mktemp()
    tmp = open(file, 'w')
    for R in pos:
        for x in R:
            tmp.write("%d " % (x * 200))
        tmp.write('\n')
    tmp.close()
    exe = 'detri'
    os.system(exe + ' ' + file)
    os.system(exe + ' -C "print tetrahedra" ' + file)
    tmp = open(file + ".DT.fl", 'r')
    print tmp.readline()
    print tmp.readline()
    s = tmp.readline()
    print s
    print tmp.readline()
    print tmp.readline()
    print tmp.readline()
    n = int(string.split(s)[1])
    indices = zeros((n, 4))
    for index in indices:
        numbers = string.split(tmp.readline())
        for i in range(4):
            index[i] = int(numbers[i + 1]) - 1
    os.unlink(file)
    os.unlink(file + ".info")
    os.unlink(file + ".dt")
    #os.unlink(file + ".DT.fl")
    print file
    return indices


if __name__ == '__main__':
    pos = array([[-1.0,  0.0,  0.0],
                 [ 0.0, -1.0,  0.0],
                 [ 1.0,  0.0,  0.0],
                 [ 0.0,  1.0,  1.0],
                 [ 0.0,  0.0,  2.0]])
    print Detri(pos)
    
