from Numeric import *

class Fig:
    def __init__(self, filename):
	self.out = open(filename, 'w')
	self.scale = 30.0
	self.x0 = 0.0
	self.y0 = 0.0
	self.figx0 = 6000
	self.figy0 = 5000
	self.out.write("#FIG 3.2\n")
	self.out.write("Landscape\n")
	self.out.write("Center\n")
	self.out.write("Inches\n")
	self.out.write("Letter\n")
	self.out.write("100.00\n")
	self.out.write("Single\n")
	self.out.write("-2\n")
	self.out.write("1200 2\n")
	for i in xrange(256):
	    self.out.write("0 %d #%02x%02x%02x\n" % (i + 32, i, i, i))

    def Polygon(self, points, color = 15):
	self.out.write("2 3 0 0 0 %d 50 0 20 0.000 0 0 -1 0 0 %d\n\t" %
		       (color + 32, len(points) + 1))
	for point in points + [points[0]]:
	    self.out.write("%d %d " % 
			   (self.figx0 + self.scale * (point[0] - self.x0),
			    self.figy0 - self.scale * (point[1] - self.y0)))
	self.out.write("\n")

if __name__ == '__main__':
    from Fig import Fig
    f=Fig("test.fig") 
    f.Polygon([[0,2],[3,4],[7,17]])
