#ifndef _EGG_TIMER_H_
#define _EGG_TIMER_H_

#include "DMFirstHeader.h"
#include <windows.h>
#include "DigitalMaterial.h"

//! Will set a flag after given number of seconds.
/*! When this goes out of scope, the timer will
	no longer set the flag.
	*/
class EggTimer
{
public:
	virtual void SetDueTime( int secondsToExpire ) =0;
	//! Is it done yet?
	virtual bool DoneYet() const =0;
};


#endif //_EGG_TIMER_H_