#ifndef _SPRINT_STRING_H_
#define _SPRINT_STRING_H_

#include "DMFirstHeader.h"
#include <string>
#include "DigitalMaterial.h"

//! A std::string derivative to construct sprintf strings on the stack.
/*!	This class is our answer to the difficulties using sstream or 
	stringstream on various platforms.  It lets you make a sprintf
	kind of string on the stack.

	\author ajd27
	\date 18 Feb 2001
	*/
class SprintString : public std::string {
	static const int BufferCnt;
	static char threadUnsafeBuffer[];
public:
	SprintString( const char* sMessage, ... );
};

#endif // _SPRINT_STRING_H_
