// Thread.cpp
#include "DigitalMaterial.h"
#include "Thread.h"
#include "ProcessFactory.h"

#include "DMLastHeader.h"

Thread::Thread(Runnable *runnable) {
	_thread = ProcessFactory::Instance()->GetThread();
	_thread->SetTask(runnable);
}

Thread::Thread(Threadable *runnable) {
	_thread = ProcessFactory::Instance()->GetThread();
	_thread->SetTask(runnable);
	runnable->SetThread(this);
}
