#include "DigitalMaterial.h"
#include "Threadable.h"
#include "Thread.h"

#include "DMLastHeader.h"

Threadable::Threadable()
{
	pThread = 0;
}

// This routine does two things.  One is that it tells the program
// if it needs to quit.  The other is that it may wait a long time to return
// if someone requested that the thread pause.
bool Threadable::IsRunning()
{
	if (pThread) return pThread->IsRunning();
	else return true;
}

void Threadable::SetThread(Thread *const thread)
{
	pThread = thread;
}
