#ifndef _CMD_PARSER_H_
#define _CMD_PARSER_H_

#include "DMFirstHeader.h"
#include <string>
#include <iostream>
#include "DiscreteAvalanche.h"

class CmdParser
{
protected:
	std::string cmdString;
public:
	CmdParser( const std::string& cmdString );
	bool CmdStringMatches( const std::string& inputString );
	virtual bool AcceptCmdLine( std::istream& s ) PUREVIRTUAL;
	virtual void ShortHelp( std::ostream& o ) const PUREVIRTUAL;
	virtual void LongHelp( std::ostream& o ) const PUREVIRTUAL;
	const std::string& GetToken() const { return cmdString; }
};


#endif // _CMD_PARSER_H_