#ifndef _MAGNETIZATION_TRACER_H_
#define _MAGNETIZATION_TRACER_H_

#include "DiscreteAvalanche.h"
#include "Tracer.h"

class MagnetizationObserver;

class MagnetizationTracer : public Tracer
{
	int m_traceFrequency;
	MagnetizationObserver* m_mag;
public:
	MagnetizationTracer();
	~MagnetizationTracer();

	void SetMagnetizationObserver( MagnetizationObserver* mag );

	void SetTraceFrequency( int seconds );
	int GetNextTrace( int currentTime, int endTime );
	void Trace( int currentTime );
};

#endif // _MAGNETIZATION_TRACER_H_
