#ifndef _WIN_WALL_CLOCK_TIMER_H_
#define _WIN_WALL_CLOCK_TIMER_H_

#include "DMFirstHeader.h"
#include <windows.h>
#include "DiscreteAvalanche.h"
#include "WallClockTimer.h"

//! Windows version of timer measuring seconds.
class WinWallClockTimer : public WallClockTimer
{
	ULARGE_INTEGER ulStartTime;
public:
	//! Constructor.
	WinWallClockTimer();
	//! When you call start, you set time zero.
	void Start();
	//! Returns time in seconds since start.
	unsigned int GetTime();
};

#endif //_WIN_WALL_CLOCK_TIMER_H_
