%{
#include "CompositeLangevinAtomsMover.h"
#include "HooverAtomsMover.h"
#include "MinimizerAtomsMover.h"
#include "LangevinAtomsMover.h"
#include "PredictorCorrectorAtomsMover.h"
#include "QuickMinAllCoordinates.h"
#include "QuickMinAtomsMover.h"
#include "QuickMinProjection.h"
#include "VerletAtomsMover.h"
#include "VerletThermalizeAtomsMover.h"
%}

%nodefault AtomsMover;
class AtomsMover 
{
public:
	void SetPotential(Potential *potential);
};

%include "VerletAtomsMover.h" // must appear before classesderiving from it
%include "CompositeLangevinAtomsMover.h"
%include "HooverAtomsMover.h"
%include "LangevinAtomsMover.h"
%include "MinimizerAtomsMover.h"
%include "PredictorCorrectorAtomsMover.h"
%include "QuickMinAtomsMover.h" // must appear before classes deriving from it
%include "QuickMinAllCoordinates.h"
%include "QuickMinProjection.h"
%include "VerletThermalizeAtomsMover.h"
