%module geoPoly3D
%{
#include "geoPoly3D.h"
%}

typedef struct _GeoPoint { float x, y, z ; }  GeoPoint ;

GeoPoint* new_GeoPoints(int num_pts) ;
void set_GeoPoint(GeoPoint* pts, int ptnum, float x, float y, float z) ;
void delete_GeoPoints(GeoPoint* pts) ;

GeoLine* new_GeoLines(int num_lines) ;
void delete_GeoLines(GeoLine* lines) ;

GeoPoly* new_GeoPolys(int num_polys) ;
void delete_GeoPolys(GeoPoly* polys) ;

void GeoGenLine( GeoPoint *pt0, GeoPoint *pt1, GeoLine *line ) ;
int GeoGenPoly  ( int n_verts, GeoPoint *verts, GeoPoly *poly ) ;

int GeoIntscLinePoly ( GeoLine *line, GeoPoly *poly, GeoPoint *pt ) ;
