import string
import ODFSampling

class ODFReader:
	def __init__(self):
		pass

	def GetOrientations(self, nGrains=100, nOrientations=10000,
			AngleRepresentation="Bunge"):
		# 1 = Bunge 2 = Kocks
		if AngleRepresentation is "Kocks": iRep = 2
		elif AngleRepresentation is "Bunge": iRep = 1
		else:
			raise RuntimeError, "ODFReader: AngleRepresentation must be Bunge or Kocks."
		a = ODFSampling.WrapSampling( nOrientations, nGrains, iRep)
		a.do_Sampling()
		odfArray = self._ReadFile( )
		return odfArray

	def _ReadFile(self, filename = "grains"):
		f = open( filename, "r" )

		ODFArray = []
		line = f.readline()
		while line:
			vals = map( string.atof, string.split(line) )
			ODFArray.append( vals[0:3] )
			line = f.readline()

		return ODFArray
		



def test():
	odfr = ODFReader()
	print odfr.GetOrientations( 100 )
	print odfr.GetOrientations( 100, 10000, "Kocks" )
	print odfr.GetOrientations( 50, 1000, "Bunge" )
if __name__=="__main__":
	test()
	
