#include "Point.h"
 
int main(void);

int main(void) 
{
	int i;
	Real x[DIMENSION], y[DIMENSION];
	Point a(x), b(y), c;

	a.Print("a"); 
	b.Print("b");
	c.Print("c");

	cin >> a;

	a.Print("a");

	#if DIMENSION==2
		Point p(22,22);
	#elif DIMENSION==3
		Point p(33,33,33);
	#else 
		Point p;
	#endif

	cout << "This is 'p': " << p << endl;

	for (i=0; i<DIMENSION; i++) cin >> p[i];
	for (i=0; i<DIMENSION; i++) cout << p(i) << " ";
	cout << endl;

	Point q(p);
	q.Print("q=p"); 
	cout << "q.IsPositive()=" << q.IsPositive() << endl;
	cout << "(p==q)=" << (p==q) << endl;
	cout << "(p!=q)=" << (p!=q) << endl;
	cout << "p.IsInBox(2*q)=" << p.IsInBox(q*=2.0) << endl;
	q.Zero(); q.Print("q.Zero()");
	cout << "q.IsPositive()=" << q.IsPositive() << endl;
	cout << "(p==q)=" << (p==q) << endl;
	cout << "(p!=q)=" << (p!=q) << endl;
	cout << "p.IsInBox(2*q)=" << p.IsInBox(q*=2.0) << endl;


	p*=2.0; p.Print("p=p*2.0");
	p/=2.0; p.Print("p=p/2.0");
	p+=a;   p.Print("p=p+a");
	p-=a;   p.Print("p=p-a");
	p=a;	p.Print("p=a");

	cout << "p.Volume()=" << p.Volume() << endl;

	for (i=0; i<DIMENSION; i++) x[i]=2.3*((Real)i+1.2);
	p=x;
	p.Print("p=x");

	return(1);
}
