#include "SimplePeriodicBC.h"
#include <stdio.h>
 
int main(void);

int main(void) 
{
	int i;
	Point bx(12.3);
	SimplePeriodicBC bc1, bc2(bx);
	
	cout << "Default Volume: " << bc1.GetPhysicalSize() << " => " << bc1.Volume() << endl;
	cout << "Volume for 12.3: " << bc2.GetPhysicalSize() << " => " << bc2.Volume() << endl;
	cout << "Set Size: " << bc1.SetPhysicalSize(bx) << endl;
	cout << "Default Volume: " << bc1.GetPhysicalSize() << " => " << bc1.Volume() << endl;
	
	//for (i=-100; i<100; i++) cout << bc1.IsNumberOfFieldsOK(i);
	cout << endl;

	cout << "Point: ";

	for (cin >> bx; bx.Volume()!=0.0 ; cin >> bx) {
		cout << bx << " -> ";
		cout << bc2.FoldBackIntoSupport(bx) << " -> ";
		cout << bx << endl;
	}

	return(1);
}
