#ifndef BOUNDARYCONDITION_H
#define BOUNDARYCONDITION_H

#ifdef _DEBUG
#include <assert.h>
#endif

#include "DigitalMaterial.h"
#include "Point.h"

//#include "Introspective.h"
//#include "Clonable.h"


class BoundaryCondition //: public Introspective, public Cloneable
{
public:
#ifndef SWIG
	BoundaryCondition();
	virtual ~BoundaryCondition() {} ;
	virtual Real Volume() const =0;
	//virtual bool IsNumberOfFieldsOK(int number) const =0;
	virtual Point GetPhysicalSize() const =0;
	virtual Point GetHelicity() const =0;
	virtual bool SetHelicity(const Point &x) =0;
	virtual bool SetPhysicalSize(const Point &x) =0;
	virtual bool FoldBackIntoSupport(Point & point) const =0;
	virtual BoundaryCondition * AllocCopy(void) const =0;
#endif //SWIG
};

#endif
