#include <time.h>

class Timer
{
private:
    clock_t t0;
    bool run;
public:
    Timer() : t0(clock()), run(true) {}
    void Stop() {if(run) {t0 -= clock(); run = false;}}
    void Start() {if(!run) {t0 += clock(); run = true;}}
    double Time() {return double(run ? clock() - t0: -t0) / CLOCKS_PER_SEC;}
};
